import metodosFetch from "../app/metodosFetch.js?v=1.0.0";

class Departamento {
  constructor({ codigoDepartamento, nombreDepartamento }) {
    this.codigoDepartamento = codigoDepartamento;
    this.nombreDepartamento = nombreDepartamento;
  }

  static async obtenerTodos() {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/departamentoController",
        parametros: {
          accion: "obtenerTodos",
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }

  static async obtenerPorPais({ codigoPais }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/departamentoController",
        parametros: {
          accion: "obtenerPorPais",
          codigoPais,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default Departamento;
